<!DOCTYPE html>
<html>

<head>
    <title></title>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="style.css" type="text/css">
    <link rel="stylesheet" href="https://acella-images.s3.us-west-2.amazonaws.com/media/QuillEditorCss.css" type="text/css">
    <style>
        body,
        div,
        p tr,
        th,
        td,
        ul,
        li,
        table {
            font-family: serif !important;
            line-height: 1.5;
            max-width: 950px;
            font-size: 14px;
        }

        body {
            margin: 10px auto;
        }

        h2,
        h3 {
            margin-bottom: 0;
        }

        img {
            max-width: 700px;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            page-break-inside: avoid;

        }
        /** For quill editor table support**/

        table,
        td {
            border: 1px solid;
        }

        td {
            padding: 5px 10px;
            word-break: break-word;
            vertical-align: top;
        }

        td p {
            margin: 0;
        }


        section h2 {
            page-break-after: avoid;
        }

        .overview-table {
            vertical-align: baseline;
            width: 950px;
            border-collapse: collapse;
        }

        .overview-table tr {
            margin: 0;
            padding: 0;
            vertical-align: baseline;
            word-break: break-word;
            line-height: 25px;
        }

        .overview-table .first-col {
            font-weight: bold;
            text-align: right;
            width: 30%;
            padding: 2px 15px 2px 2px;
            vertical-align: baseline;
            word-break: break-word;
            border: 1px solid #000;
        }

        .overview-table .second-col {
            margin: 0;
            text-align: left;
            padding: 2px 2px 2px 15px;
            vertical-align: baseline;
            word-break: break-word;
            border: 1px solid #000;
        }

        .imp-table,
        .pricing-table {
            width: 950px;
            padding: 0;
            vertical-align: baseline;
            border: #333 solid 1px;
            border-collapse: collapse;
            margin: 10px 0 0;
        }

        .imp-table th {
            width: 158px;
            border: #333 solid 1px;
            margin: 0;
            padding: 0;
            vertical-align: middle;
            background: #00b0f0;
            color: #FFF;
            font-weight: 600;
            line-height: 28px;
            text-align: center;
            word-break: break-word;
        }

        .imp-table td {
            width: 158px;
            margin: 0;
            padding: 8px;
            vertical-align: middle;
            word-break: break-word;
            border: 1px solid #000;
        }

        .imp-table .onesite-title td {
            line-height: 16px;
            padding: 4px;
            font-size: 13px;
            background: #d9d9d9;
            text-align: center;
        }

        .pricing-table tr,
        .imp-table tr {
            margin: 0;
            padding: 0;
            vertical-align: baseline;
            word-break: break-word;
        }

        .pricing-table tr {
            line-height: 6px;
        }

        .pricing-table th {
            border: #333 solid 1px;
            text-align: left;
            margin: 0;
            padding: 8px;
            vertical-align: baseline;
            background: #d9d9d9;
            color: #333;
            font-weight: 600;
            line-height: 8px;
            word-break: break-word;
        }

        .pricing-table th:nth-child(2) {
            text-align: center;
            border: none;
        }

        .pricing-table td {
            text-align: left;
            margin: 0;
            padding: 8px;
            vertical-align: middle;
            background: #FFF;
            font-weight: 600;
            word-break: break-word;
            border: 1px solid #000;
        }

        .pricing-table td:nth-child(2) {
            text-align: center;
        }

        .project-details .project-details-section {
            display: block;
            clear: both;
            page-break-inside: avoid;
        }

        .page-breaker {
            display: block;
            clear: both;
            page-break-after: always;
        }

        #contact-info {
            line-height: 25px;
            font-weight: bold;
            margin-bottom: 100px;
        }

        #signature-sect .first-row {
            margin-bottom: 60px;
        }

        .sow-name {
            font-size: 24px;
            margin-bottom: 25px;
            vertical-align: baseline;
            text-align: center;
            font-weight: 600;
        }
    </style>
</head>

<body lang=EN-US style='tab-interval:.5in'>
    <div class="sow-name">
        {{ name }}
    </div>
    <table class="overview-table">
        <tr>
            <td class="first-col">
                Company Name:
            </td>
            <td class="second-col">
                {{ customer.name }}</td>
        </tr>
        <tr>
            <td class="first-col">
                Customer Contact:
            </td>
            <td class="second-col">
                {{ user_name }}
                {% if contact_details %} | {{ contact_details }}{% endif %}
            </td>
        </tr>
        <tr>
            <td class="first-col">
                Request Description:
            </td>
            <td class="second-col">
                {% firstof json_config.project_details.request_description.value name %}</td>
        </tr>
        <tr>
            <td class="first-col">
                Date:
            </td>
            <td class="second-col">
                {{ current_date }}</td>
        </tr>
        <tr>
            <td class="first-col">
                Account Manager:
            </td>
            <td class="second-col">
                {{ account_manager.territory_manager_name }}
                {% if account_manager.email %} | {{ account_manager.email }}{% endif %}
                {% if account_manager.phone %} | {{ account_manager.phone }}{% endif %}
            </td>
        </tr>
        <tr>
            <td class="first-col">
                Document Author:
            </td>
            <td class="second-col">
                {% if author %}
                {{ author.name }}
                {% elif author_name %}
                {{ author_name }}
                {% endif %}
            </td>
        </tr>
        <tr>
            <td class="first-col">
                Version:
            </td>
            <td class="second-col">
                v{{ version }}

            </td>
        </tr>
    </table>
    <section>
        <h2>
            I. {{ json_config.project_details.section_label }}
        </h2>
        <div class="project-details">
            <div class="project-details-section">
                <h3>{{ json_config.project_details.task_deliverables.label }}</h3>
                <div class="ql-container ql-snow">
                    <div class="ql-editor">
                        {{ json_config.project_details.task_deliverables.value|safe }}
                    </div>
                </div>
            </div>
            <div class="project-details-section">
                <h3>{{ json_config.project_details.project_assumptions.label }}</h3>
                <div class="ql-container ql-snow">
                    <div class="ql-editor">
                        {{ json_config.project_details.project_assumptions.value|safe }}
                    </div>
                </div>
                <ul style="margin-top: -20px">
                    {% for statement in additional_project_assumptions %}
                    <li>
                        {{ statement }}
                    </li>
                    {% endfor %}
                </ul>
            </div>
            <div class="project-details-section">
                <h3> {{ json_config.project_details.out_of_scope.label }}</h3>
                <div class="ql-container ql-snow">
                    <div class="ql-editor">
                        {{ json_config.project_details.out_of_scope.value|safe }}
                    </div>
                </div>
            </div>
        </div>
    </section>
    <div class="page-breaker" />
    <!-- project outcome -->
    {% if not json_config.implementation_logistics.hide_in_sow %}
    <section>
        <h2>
            II. Implementation Logistics
        </h2>
        <p>
            This section defines the expectations for where and how the project will be delivered.
        </p>
        <table class="imp-table">
            <tr>
                <th>
                    {{ json_config.implementation_logistics.sections.0.column1.value|safe }}
                </th>
                <th>
                    {{ json_config.implementation_logistics.sections.1.column2.value|safe }}
                </th>
                <th>
                    {{ json_config.implementation_logistics.sections.2.column3.value|safe }}
                </th>
                <th>
                    {{ json_config.implementation_logistics.sections.3.column4.value|safe }}
                </th>
            </tr>
            <tr class="onesite-title">
                <td>
                    {{ json_config.implementation_logistics.sections.0.delivery_model.value|safe }}
                </td>
                <td>
                    {{ json_config.implementation_logistics.sections.1.delivery_model.value|safe }}
                </td>
                <td>
                    {{ json_config.implementation_logistics.sections.2.delivery_model.value|safe }}
                </td>
                <td>
                    {{ json_config.implementation_logistics.sections.3.delivery_model.value|safe }}
                </td>
            </tr>
            <tr>
                <td>
                    {{ json_config.implementation_logistics.sections.0.detail.value|safe }}
                </td>
                <td>
                    {{ json_config.implementation_logistics.sections.1.detail.value|safe }}
                </td>
                <td>
                    {{ json_config.implementation_logistics.sections.2.detail.value|safe }}
                </td>
                <td>
                    {{ json_config.implementation_logistics.sections.3.detail.value|safe }}
                </td>
            </tr>
        </table>
        <p class="note">
            Changes to the table above are subject to the change management process.
        </p>
        <ul>
            {% if not total_sites_override %}
            <li>
                Total number of sites: {{ total_sites }}
            </li>
            {% endif %}
            {% if not total_cutovers_override %}
            <li>
                Total number of cutovers: {{ total_cutovers }}
            </li>
            {% endif %}
        </ul>
    </section>
    {% endif %}
    <!-- Project Management -->
    <!-- Implementation logistics section could be hidden in sow preview. This causes numbering issue.
    The clean and simple solution is to check if the section is hidden and adjust the numbering.
    Hence, the if else condition.
    -->
    <section>
        {% if not json_config.implementation_logistics.hide_in_sow %}
            <h2>
                III. {{ json_config.project_management_t_and_m.project_management.label }}
            </h2>
        {% else %}
            <h2>
                II. {{ json_config.project_management_t_and_m.project_management.label }}
            </h2>
        {% endif %}
        <div class="ql-container ql-snow">
            <div class="ql-editor">
                {{ json_config.project_management_t_and_m.project_management.value|safe }}
            </div>
        </div>
    </section>
    <div class="page-breaker" />
    <!-- Rates -->
    <section>
        {% if not json_config.implementation_logistics.hide_in_sow %}
            <h2>
                IV. Rates
            </h2>
        {% else %}
            <h2>
                III. Rates
            </h2>
        {% endif %}
        <table class="pricing-table">
            <tr>
                <th>
                    Service Description
                </th>
                <th>
                    Hourly Rate
                </th>
            </tr>
            {% if not json_config.service_cost.hide_engineering_hours %}
                <tr>
                    <td>
                        {{ engineering_hours_default_description }}
                    </td>
                    <td>
                        {% load humanize %}
                        $ {{ json_config.service_cost.engineering_hourly_rate|safe |intcomma }}
                    </td>
                </tr>
            {% endif %}
            {% if not json_config.service_cost.hide_after_hours %}
                <tr>
                    <td>
                        {{ after_hours_default_description }}
                    </td>
                    <td>
                        {% load humanize %}
                        $ {{ json_config.service_cost.after_hours_rate|safe |intcomma }}
                    </td>
                </tr>
            {% endif %}
            {% if not json_config.service_cost.hide_integration_technician_hours %}
                <tr>
                    <td>
                        {{ integration_technician_hours_default_description }}
                    </td>
                    <td>
                        {% load humanize %}
                        $ {{ json_config.service_cost.integration_technician_hourly_rate|safe |intcomma }}
                    </td>
                </tr>
            {% endif %}
            {% if not json_config.service_cost.hide_project_management_hours %}
                <tr>
                    <td>
                        {{ project_management_hours_default_description }}
                    </td>
                    <td>
                        {% load humanize %}
                        $ {{ json_config.service_cost.project_management_hourly_rate|safe |intcomma }}
                    </td>
                </tr>
            {% endif %}
            {% for hourly_resource in json_config.service_cost.hourly_resources %}
                {% if not hourly_resource.is_hidden %}
                    <tr>
                        <td>
                            {% if hourly_resource.resource_description %}
                            {{ hourly_resource.resource_description }}
                            {% else %}
                            {{ hourly_resource.resource_name }}
                            {% endif %}
                        </td>
                        <td>
                            {% load humanize %}
                            $ {{ hourly_resource.hourly_rate }}
                        </td>
                    </tr>
                {% endif %}
            {% endfor %}
        </table>
    </section>
    <!-- Terms -->
    <section>
        {% if not json_config.implementation_logistics.hide_in_sow %}
            <h2>
                V. {{ json_config.terms_t_and_m.terms.label }}
            </h2>
        {% else %}
            <h2>
                IV. {{ json_config.terms_t_and_m.terms.label }}
            </h2>
        {% endif %}
        <div class="ql-container ql-snow">
            <div class="ql-editor">
                {{ json_config.terms_t_and_m.terms.value|safe }}
            </div>
        </div>
    </section>
    <div class="page-breaker" />
    <!-- Estimated Hours -->
    <section>
        {% if not json_config.implementation_logistics.hide_in_sow %}
            <h2>
                VI. Estimated Hours
            </h2>
        {% else %}
            <h2>
                V. Estimated Hours
            </h2>
        {% endif %}
        <table class="pricing-table">
            <tr>
                <th>
                    Service Description
                </th>
                <th>
                    Hours
                </th>
            </tr>
            {% if not json_config.service_cost.hide_engineering_hours %}
                <tr>
                    <td>
                        {{ engineering_hours_default_description }}
                    </td>
                    <td>
                        {% load humanize %}
                        {{ json_config.service_cost.engineering_hours|safe |intcomma }}
                    </td>
                </tr>
            {% endif %}
            {% if not json_config.service_cost.hide_after_hours %}
                <tr>
                    <td>
                        {{ after_hours_default_description }}
                    </td>
                    <td>
                        {% load humanize %}
                        {{ json_config.service_cost.after_hours|safe |intcomma }}
                    </td>
                </tr>
            {% endif %}
            {% if not json_config.service_cost.hide_integration_technician_hours %}
                <tr>
                    <td>
                        {{ integration_technician_hours_default_description }}
                    </td>
                    <td>
                        {% load humanize %}
                        {{ json_config.service_cost.integration_technician_hours|safe |intcomma }}
                    </td>
                </tr>
            {% endif %}
            {% if not json_config.service_cost.hide_project_management_hours %}
                <tr>
                    <td>
                        {{ project_management_hours_default_description }}
                    </td>
                    <td>
                        {% load humanize %}
                        {{ json_config.service_cost.project_management_hours|safe |intcomma }}
                    </td>
                </tr>
            {% endif %}
            {% for hourly_resource in json_config.service_cost.hourly_resources %}
                {% if not hourly_resource.is_hidden %}
                    <tr>
                        <td>
                            {% if hourly_resource.resource_description %}
                            {{ hourly_resource.resource_description }}
                            {% else %}
                            {{ hourly_resource.resource_name }}
                            {% endif %}
                        </td>
                        <td>
                            {% load humanize %}
                            {{ hourly_resource.hours }}
                        </td>
                    </tr>
                {% endif %}
            {% endfor %}
        </table>
        <p>
            <br>
            If the terms of this document are agreeable to {{ customer.name }}, sign below. Once
            completed please Email or FAX this document and Company PO for the amount mentioned above.
        </p>
        <p id="contact-info">
            <strong>Email: orders@lookingpoint.com / FAX: 925-405-3847</strong>
        </p>
        <div id="signature-sect">
            <div class="first-row">
                <strong>Customer Signature: ________________________________</strong> &emsp;
                <strong>Date: __________________________________</strong>
            </div>
            <div class="row">
                <strong>Customer Name: ____________________________________</strong> &emsp;
                <strong>Title: __________________________________</strong>
            </div>
        </div>
    </section>
</body>

</html>